GDCM: gdcm::String< TDelimiter, TMaxLength, TPadChar > Class Template Reference

GDCM 3.2.5

Public Types | Public Member Functions | Static Public Member Functions | List of all members
gdcm::String< TDelimiter, TMaxLength, TPadChar > Class Template Reference

String. More...

`#include <gdcmString.h>`

Inheritance diagram for gdcm::String< TDelimiter, TMaxLength, TPadChar >:
[legend]
Collaboration diagram for gdcm::String< TDelimiter, TMaxLength, TPadChar >:
[legend]

## Public Types
typedef std::string::const_iterator | const_iterator
typedef std::string::const_reference | const_reference
typedef std::string::const_reverse_iterator | const_reverse_iterator
typedef std::string::difference_type | difference_type
typedef std::string::iterator | iterator
typedef std::string::pointer | pointer
typedef std::string::reference | reference
typedef std::string::reverse_iterator | reverse_iterator
typedef std::string::size_type | size_type
typedef std::string::value_type | value_type

## Public Member Functions
| String ()
| String constructors.
| String (const std::string &s, size_type pos=0, size_type n=npos)
| String (const value_type *s)
| String (const value_type *s, size_type n)
bool | IsValid () const
| return if string is valid
| operator const char * () const
| WARNING: Trailing \0 might be lost in this operation:
std::string | Trim () const
gdcm::String< TDelimiter, TMaxLength, TPadChar > | Truncate () const

## Static Public Member Functions
static std::string | Trim (const char *input)

## Detailed Description

template<char TDelimiter = '\\', unsigned int TMaxLength = 64, char TPadChar = ' '>
class gdcm::String< TDelimiter, TMaxLength, TPadChar >

String.

Note
  TDelimiter template parameter is used to separate multiple String (VM1 >) TMaxLength is only a hint. No one actually respect the max length TPadChar is the string padding (0 or space)

## Member Typedef Documentation

## ◆ const_iterator

template<char TDelimiter = '\\', unsigned int TMaxLength = 64, char TPadChar = ' '>

typedef std::string::const_iterator gdcm::String< TDelimiter, TMaxLength, TPadChar >::const_iterator

## ◆ const_reference

template<char TDelimiter = '\\', unsigned int TMaxLength = 64, char TPadChar = ' '>

typedef std::string::const_reference gdcm::String< TDelimiter, TMaxLength, TPadChar >::const_reference

## ◆ const_reverse_iterator

template<char TDelimiter = '\\', unsigned int TMaxLength = 64, char TPadChar = ' '>

typedef std::string::const_reverse_iterator gdcm::String< TDelimiter, TMaxLength, TPadChar >::const_reverse_iterator

## ◆ difference_type

template<char TDelimiter = '\\', unsigned int TMaxLength = 64, char TPadChar = ' '>

typedef std::string::difference_type gdcm::String< TDelimiter, TMaxLength, TPadChar >::difference_type

## ◆ iterator

template<char TDelimiter = '\\', unsigned int TMaxLength = 64, char TPadChar = ' '>

typedef std::string::iterator gdcm::String< TDelimiter, TMaxLength, TPadChar >::iterator

## ◆ pointer

template<char TDelimiter = '\\', unsigned int TMaxLength = 64, char TPadChar = ' '>

typedef std::string::pointer gdcm::String< TDelimiter, TMaxLength, TPadChar >::pointer

## ◆ reference

template<char TDelimiter = '\\', unsigned int TMaxLength = 64, char TPadChar = ' '>

typedef std::string::reference gdcm::String< TDelimiter, TMaxLength, TPadChar >::reference

## ◆ reverse_iterator

template<char TDelimiter = '\\', unsigned int TMaxLength = 64, char TPadChar = ' '>

typedef std::string::reverse_iterator gdcm::String< TDelimiter, TMaxLength, TPadChar >::reverse_iterator

## ◆ size_type

template<char TDelimiter = '\\', unsigned int TMaxLength = 64, char TPadChar = ' '>

typedef std::string::size_type gdcm::String< TDelimiter, TMaxLength, TPadChar >::size_type

## ◆ value_type

template<char TDelimiter = '\\', unsigned int TMaxLength = 64, char TPadChar = ' '>

typedef std::string::value_type gdcm::String< TDelimiter, TMaxLength, TPadChar >::value_type

## Constructor & Destructor Documentation

## ◆ String() [1/4]

template<char TDelimiter = '\\', unsigned int TMaxLength = 64, char TPadChar = ' '>

gdcm::String< TDelimiter, TMaxLength, TPadChar >::String | ( |  | ) |
| inline

String constructors.

## ◆ String() [2/4]

template<char TDelimiter = '\\', unsigned int TMaxLength = 64, char TPadChar = ' '>

gdcm::String< TDelimiter, TMaxLength, TPadChar >::String | ( | const value_type * | s | ) |
| inline

## ◆ String() [3/4]

template<char TDelimiter = '\\', unsigned int TMaxLength = 64, char TPadChar = ' '>

gdcm::String< TDelimiter, TMaxLength, TPadChar >::String | ( | const value_type * | s,
|  | size_type | n )
| inline

## ◆ String() [4/4]

template<char TDelimiter = '\\', unsigned int TMaxLength = 64, char TPadChar = ' '>

gdcm::String< TDelimiter, TMaxLength, TPadChar >::String | ( | const std::string & | s,
|  | size_type | pos = 0,
|  | size_type | n = npos )
| inline

## Member Function Documentation

## ◆ IsValid()

template<char TDelimiter = '\\', unsigned int TMaxLength = 64, char TPadChar = ' '>

bool gdcm::String< TDelimiter, TMaxLength, TPadChar >::IsValid | ( |  | ) | const
| inline

return if string is valid

Referenced by gdcm::String<'\\', 16 >::Truncate().

## ◆ operator const char *()

template<char TDelimiter = '\\', unsigned int TMaxLength = 64, char TPadChar = ' '>

gdcm::String< TDelimiter, TMaxLength, TPadChar >::operator const char * | ( |  | ) | const
| inline

WARNING: Trailing \0 might be lost in this operation:

## ◆ Trim() [1/2]

template<char TDelimiter = '\\', unsigned int TMaxLength = 64, char TPadChar = ' '>

std::string gdcm::String< TDelimiter, TMaxLength, TPadChar >::Trim | ( |  | ) | const
| inline

Trim function is required to return a std::string object, otherwise we could not create a gdcm::String object with an odd number of bytes...

## ◆ Trim() [2/2]

template<char TDelimiter = '\\', unsigned int TMaxLength = 64, char TPadChar = ' '>

std::string gdcm::String< TDelimiter, TMaxLength, TPadChar >::Trim | ( | const char * | input | ) |
| inlinestatic

## ◆ Truncate()

template<char TDelimiter = '\\', unsigned int TMaxLength = 64, char TPadChar = ' '>

gdcm::String< TDelimiter, TMaxLength, TPadChar > gdcm::String< TDelimiter, TMaxLength, TPadChar >::Truncate | ( |  | ) | const
| inline

The documentation for this class was generated from the following file:

- gdcmString.h